﻿#region License Information

/* HeuristicLab
 * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */

#endregion
using System;
using System.Drawing;
using System.Windows.Forms;
using HeuristicLab.Core.Views;

namespace HeuristicLab.Problems.DataAnalysis.Views {
  partial class ProblemDataConstraintView {
    /// <summary> 
    /// Required designer variable.
    /// </summary>
    private System.ComponentModel.IContainer components = null;

    /// <summary> 
    /// Clean up any resources being used.
    /// </summary>
    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
    protected override void Dispose(bool disposing) {
        if (disposing && (components != null)) {
            components.Dispose();
        }
        base.Dispose(disposing);
    }

    #region Component Designer generated code

    /// <summary> 
    /// Required method for Designer support - do not modify 
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent() {
      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ProblemDataConstraintView));
      this.splitContainer1 = new System.Windows.Forms.SplitContainer();
      this.groupBox1 = new System.Windows.Forms.GroupBox();
      this.constraintsInput = new System.Windows.Forms.TextBox();
      this.parseBtn = new System.Windows.Forms.Button();
      this.errorOutput = new System.Windows.Forms.Label();
      this.label1 = new System.Windows.Forms.Label();
      this.intervalConstraintsView = new CheckedItemListView<ShapeConstraint>();
      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
      this.splitContainer1.Panel1.SuspendLayout();
      this.splitContainer1.Panel2.SuspendLayout();
      this.splitContainer1.SuspendLayout();
      this.groupBox1.SuspendLayout();
      this.SuspendLayout();
      // 
      // splitContainer1
      // 
      this.splitContainer1.Dock = System.Windows.Forms.DockStyle.Fill;
      this.splitContainer1.Location = new System.Drawing.Point(0, 0);
      this.splitContainer1.Name = "splitContainer1";
      // 
      // splitContainer1.Panel1
      // 
      this.splitContainer1.Panel1.Controls.Add(this.groupBox1);
      // 
      // splitContainer1.Panel2
      // 
      this.splitContainer1.Panel2.Controls.Add(this.intervalConstraintsView);
      this.splitContainer1.Size = new System.Drawing.Size(888, 629);
      this.splitContainer1.SplitterDistance = 296;
      this.splitContainer1.TabIndex = 0;
      // 
      // groupBox1
      // 
      this.groupBox1.Controls.Add(this.constraintsInput);
      this.groupBox1.Controls.Add(this.parseBtn);
      this.groupBox1.Controls.Add(this.errorOutput);
      this.groupBox1.Controls.Add(this.label1);
      this.groupBox1.Dock = System.Windows.Forms.DockStyle.Fill;
      this.groupBox1.Location = new System.Drawing.Point(0, 0);
      this.groupBox1.Name = "groupBox1";
      this.groupBox1.Size = new System.Drawing.Size(296, 629);
      this.groupBox1.TabIndex = 3;
      this.groupBox1.TabStop = false;
      this.groupBox1.Text = "Constraints Input";
      // 
      // constraintsInput
      // 
      this.constraintsInput.AcceptsTab = true;
      this.constraintsInput.Dock = System.Windows.Forms.DockStyle.Fill;
      this.constraintsInput.Location = new System.Drawing.Point(3, 185);
      this.constraintsInput.Multiline = true;
      this.constraintsInput.Name = "constraintsInput";
      this.constraintsInput.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
      this.constraintsInput.Size = new System.Drawing.Size(290, 405);
      this.constraintsInput.TabIndex = 2;
      this.constraintsInput.TextChanged += new System.EventHandler(this.constraintsInput_TextChanged);
      // 
      // parseBtn
      // 
      this.parseBtn.Dock = System.Windows.Forms.DockStyle.Bottom;
      this.parseBtn.Location = new System.Drawing.Point(3, 590);
      this.parseBtn.Name = "parseBtn";
      this.parseBtn.Size = new System.Drawing.Size(290, 23);
      this.parseBtn.TabIndex = 1;
      this.parseBtn.Text = "Parse Constraints";
      this.parseBtn.UseVisualStyleBackColor = true;
      this.parseBtn.Click += new System.EventHandler(this.parseBtn_Click);
      // 
      // errorOutput
      // 
      this.errorOutput.MaximumSize = new Size(350, 0);
      this.errorOutput.AutoSize = true;
      this.errorOutput.ForeColor = Color.DarkRed;
      this.errorOutput.Dock = System.Windows.Forms.DockStyle.Bottom;
      this.errorOutput.Location = new System.Drawing.Point(3, 613);
      this.errorOutput.Name = "errorOutput";
      this.errorOutput.Size = new System.Drawing.Size(35, 13);
      this.errorOutput.TabIndex = 3;
      this.errorOutput.Text = "label2";
      // 
      // label1
      // 
      this.label1.AutoSize = true;
      this.label1.Dock = System.Windows.Forms.DockStyle.Top;
      this.label1.Location = new System.Drawing.Point(3, 16);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(354, 169);
      this.label1.TabIndex = 0;
      this.label1.Text = "To define target variable constraints:" + Environment.NewLine +
                         "1. Start the definition with target:" + Environment.NewLine +
                         "2. Specify the target variable between '-characters" + Environment.NewLine +
                         "3. Add the keyword in" + Environment.NewLine +
                         "4. Specify the interval with [lowerbound .. upperbound]" + Environment.NewLine +
                         "To define a derivation constraint: " + Environment.NewLine +
                         "1. Start with d or \u2202" + Environment.NewLine +
                         "2. Specify the target between '-characters" + Environment.NewLine +
                         "3. Separate target and derivation variable with /" + Environment.NewLine +
                         "4. Add derivation variable between '-characters'" + Environment.NewLine +
                         "5. Follow the steps 3-4 from above";
      // 
      // intervalConstraintsView
      // 
      this.intervalConstraintsView.Dock = System.Windows.Forms.DockStyle.Fill;
      this.intervalConstraintsView.Location = new System.Drawing.Point(0, 0);
      this.intervalConstraintsView.Name = "intervalConstraintsView";
      this.intervalConstraintsView.Size = new System.Drawing.Size(588, 20);
      this.intervalConstraintsView.TabIndex = 2;
      // 
      // ProblemDataConstraintView
      // 
      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
      this.Controls.Add(this.splitContainer1);
      this.Name = "ProblemDataConstraintView";
      this.Size = new System.Drawing.Size(888, 629);
      this.splitContainer1.Panel1.ResumeLayout(false);
      this.splitContainer1.Panel2.ResumeLayout(false);
      this.splitContainer1.Panel2.PerformLayout();
      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
      this.splitContainer1.ResumeLayout(false);
      this.groupBox1.ResumeLayout(false);
      this.groupBox1.PerformLayout();
      this.ResumeLayout(false);

    }
    #endregion

    private System.Windows.Forms.SplitContainer                             splitContainer1;
    private System.Windows.Forms.GroupBox                                   groupBox1;
    private System.Windows.Forms.Button                                     parseBtn;
    private System.Windows.Forms.Label                                      label1;
    private HeuristicLab.Core.Views.CheckedItemListView<ShapeConstraint> intervalConstraintsView;
    private System.Windows.Forms.TextBox                                    constraintsInput;
    private Label                                                           errorOutput;
    }
}
